AntiFeatures:
  - NonFreeNet
Categories:
  - Internet
License: Apache-2.0
AuthorName: Fan
AuthorEmail: fan123199@gmail.com
AuthorWebSite: https://blog.fdx.im
SourceCode: https://github.com/fan123199/v2ex-simple
IssueTracker: https://github.com/fan123199/v2ex-simple/issues
Changelog: https://github.com/fan123199/v2ex-simple/releases

AutoName: V2EX

RepoType: git
Repo: https://github.com/fan123199/v2ex-simple

Builds:
  - versionName: 2.7.3
    versionCode: 47
    commit: 2f281b577a5f6f5a1d11ecb87c46cedf311dbf18
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - sed -i -e '/aliyun/d' -e '/fabric/d' -e '/firebase/d' -e '/googlePlay/d' ../build.gradle.kts
        build.gradle.kts
      - sed -i -e '/repositories {/a mavenCentral()' -e '/repositories {/a jcenter()'
        ../build.gradle.kts
      - sed -i -e '/firebase/Id' src/main/java/im/fdx/v2ex/network/HttpHelper.kt src/main/java/im/fdx/v2ex/ui/topic/TopicFragment.kt

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 2.7.3
CurrentVersionCode: 47
